 

import java.util.Collection;

/**
 * DAO interface for accessing the prodotto datatype
 * @author pisi79
 */
public interface ProdottoDAO {

	// --- CRUD methods: create, read, update, delete

	/**
	 * C
	 */
	public int createProdotto(ProdottoDTO t);

	/**
	 * R
	 */
	public ProdottoDTO readProdotto(int id);

	/**
	 * U
	 */
	public boolean updateProdotto(ProdottoDTO t);

	/**
	 * D
	 */
	public boolean deleteProdotto(ProdottoDTO t);

	// --- Other access methods (read with selects and filters, read all, etc...) ---

	/**
	 * Find out an existing user by its nick
	 * @param nick
	 * @return a user DATA TRANSFER OBJECT
	 */
	public ProdottoDTO findProdotto(String id);

	/**
	 * Reads all existing users
	 */
	public Collection<ProdottoDTO> getProdotti();

	// --- Per comodità mettiamo nel DAO anche i metodi di creazione e distruzione delle tabelle, 
	// in modo da poterli richiamare in modo programmatico ---
	
	/**
	 * Creazione della table
	 */
	public boolean createTable();
	
	/**
	 * Rimozione della table
	 */
	public boolean dropTable();

}
