import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

/** Example using servlet initialization. Here, the message
 *  to print and the number of times the message should be
 *  repeated is taken from the init parameters.
 */

public class ServletInserimento extends HttpServlet {
  
  public void init(ServletConfig config)
      throws ServletException {
    // Always call super.init
    super.init(config);
  }

    public void doPost(HttpServletRequest request,
                    HttpServletResponse response)
        throws ServletException, IOException {

	  String prodotto;
          String nomeProdotto;
	  String marcaProdotto;
	  String prezzoProdotto;

      response.setContentType("text/html");
      PrintWriter out = response.getWriter();
      String title = "Inserimento Prodotto";
      out.println("<HTML><HEAD><TITLE>"+title+"</TITLE></HEAD>"+
                  "<BODY BGCOLOR=\"#FDF5E6\">\n" +
                  "<H1 ALIGN=CENTER>" + title + "</H1>");
 	  
 	  prodotto       = request.getParameter("id_prod");
 	  nomeProdotto   = request.getParameter("nome_prod");
 	  marcaProdotto  = request.getParameter("marca_prod");
 	  prezzoProdotto = request.getParameter("prezzo_prod");

	 int res;

    	 ProdottoDAO prodottoDAO = 
    		DAOFactory
    			.getDAOFactory(
    				Integer.parseInt(
    					super.getServletContext().getInitParameter("daoFactory")
    				)
    			).getProdottoDAO();
    	
    	 
         ProdottoDTO prodottoDTOdaCercare = prodottoDAO.findProdotto(prodotto);
         
         if (prodottoDTOdaCercare!=null) out.println("Errore: il prodotto è stato inserito precedentemente</BR>");
         else {
	   	 ProdottoDTO prodottoDTOtoCreate = new ProdottoDTO();
			prodottoDTOtoCreate.setId(prodotto);
			prodottoDTOtoCreate.setNome(nomeProdotto);
			prodottoDTOtoCreate.setMarca(marcaProdotto);
			prodottoDTOtoCreate.setPrezzo(prezzoProdotto);
			res = prodottoDAO.createProdotto(prodottoDTOtoCreate);    		
    	 	if (res!=0) out.println("problemi nell inserimento</BR>");
         	else {
	      		out.println("ho ricevuto richiesta di inserimento di:</BR>");
      	      		out.println("prodotto ID: "+prodotto+"</BR>");
              		out.println("nome prodotto: "+nomeProdotto+"</BR>");
              		out.println("marca prodotto: "+marcaProdotto+"</BR>");
              		out.println("prezzo prodotto: "+prezzoProdotto+"</BR>");
         	} 
	  }  
       out.println("</BODY></HTML>");
    }
}
